﻿using DevExpress.XtraEditors;
using DevExpress.XtraPivotGrid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.tableAdapter.Fill(this.nwindDataSet.SalesPerson);

            PivotGridFormatRule pivotGridFormatRule = new PivotGridFormatRule();

            pivotGridFormatRule.Measure  = this.extendedPriceField;
            pivotGridFormatRule.Settings = new FormatRuleFieldIntersectionSettings
            {
                Column = this.orderYearField,
                Row    = this.salesPersonField
            };
            pivotGridFormatRule.Rule     = new FormatConditionRuleDataBar { PredefinedName = "Yellow Gradient" };

            this.pivotGridControl.FormatRules.Add(pivotGridFormatRule);
        }

        #endregion
    }
}